@import url('https://fonts.googleapis.com/css2?family=Alegreya:ital,wght@0,400..900;1,400..900&display=swap');
:root {

  font-family: 'Alegreya', serif;
  background-color: #f0f0f0;
  text-align: center;
  color: #333;
  margin: 0;
  padding: 0;
}

h1, h2, h3 {
  margin: 0;
}

.projects {
  padding: 0 1em;
  container-type: inline-size;
}

ul {
  max-width: 40em;
  text-align: left;
  margin: 0 auto;
  list-style: none;
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 1em;
  row-gap: 1em;
  padding: 2em 0;

  @container (width < 500px) {
    & {
      grid-template-columns: 1fr;
    }
  }

  a {
    display: block;
    color: inherit;
    text-decoration: none;
    border: 2px solid grey;
    padding: 1em;
    border-radius: .5em;

    &:hover {
      border-color: blue;
    }
  }
}